* This do file does figures 1-8

* ___ Figure 1: Historical house prices, 14 countries ___

scatter hpreal year if year>=1870 & iso=="AUS", xlabel(#14) yscale(range(0 300)) ///
	ylabel(#3) xtitle("") scheme(s1mono) msize(small)  ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick)) 
	graph export ../tablesfigures/Fig1AUS.pdf, replace
scatter hpreal year if year>=1878 & iso=="BEL", xlabel(#13) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick)) 
	graph export ../tablesfigures/Fig1BEL.pdf, replace
scatter hpreal year if year>=1921 & iso=="CAN", xlabel(#10) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1939 1940 1941 1942 1943 1944 1945, lc(gs15 ) lw(vthick)) 
	graph export ../tablesfigures/Fig1CAN.pdf, replace
scatter hpreal year if year>=1875 & iso=="DNK", xlabel(#14) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919  1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick)) 
	graph export ../tablesfigures/Fig1DNK.pdf, replace
scatter hpreal year if year>=1905 & iso=="FIN", xlabel(#11) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1FIN.pdf, replace
scatter hpreal year if year>=1870 & iso=="FRA", xlabel(#14) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1FRA.pdf, replace
scatter hpreal year if year>=1870 & iso=="DEU", xlabel(#14) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1DEU.pdf, replace
scatter hpreal year if year>=1913 & iso=="JPN", xlabel(#11) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   	
	graph export ../tablesfigures/Fig1JPN.pdf, replace
scatter hpreal year if year>=1870 & iso=="NLD", xlabel(#14) xtitle("") ///
	scheme(s1mono) yscale(range(0 300)) ylabel(#3) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1NLD.pdf, replace
scatter hpreal year if year>=1870 & iso=="NOR", xlabel(#14) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15) lw(vthick))   
	graph export ../tablesfigures/Fig1NOR.pdf, replace
scatter hpreal year if year>=1875 & iso=="SWE", xlabel(#14) xtitle("") ///
	scheme(s1mono) yscale(range(0 300)) ylabel(#3) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1SWE.pdf, replace
scatter hpreal year if year>=1901 & iso=="CHE", xlabel(#11) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono)  msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1CHE.pdf, replace
scatter hpreal year if year>=1899 & iso=="GBR" & year~=1939, xlabel(#12) ///
	xtitle("") yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1GBR.pdf, replace
scatter hpreal year if year>=1890 & iso=="USA", xlabel(#13) xtitle("") ///
	yscale(range(0 300)) ylabel(#3) scheme(s1mono) msize(small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick))   
	graph export ../tablesfigures/Fig1USA.pdf, replace


*___ Figure 2: Aggregate Trends ___

qui xi: xtreg lrgdpbarro i.year, fe i(ccode) 
predict lrgdpbarromz
bysort year: egen lrgdbarromx = mean(lrgdpbarromz)
sort ccode year
drop _Iyear* 

gen lhpreal_mean1=lhpreal_mean if sera==1
	label var lhpreal_mean1 "1870-1914"
gen lhpreal_mean2=lhpreal_mean if sera==2
	label var lhpreal_mean2 "1919-1939"
gen lhpreal_mean3=lhpreal_mean if sera==3 
	label var lhpreal_mean3 "1948-1971"
gen lhpreal_mean4=lhpreal_mean if sera==4
	label var lhpreal_mean4 "1972-2012"

scatter hpreal_mean hpreal_median year if year>=1870 & iso=="USA", ///
	xlabel(#14) xtitle("") scheme(s1mono) /// 
	msize(small small) tline(1914 1915 1916 1917 1918 1919 1939 1940 ///
	1941 1942 1943 1944 1945, lc(gs15) lw(vthick)) /// 
	legend(ring(0) position(4))   name(AvgRise1,replace)
scatter lhpreal_mean1 lhpreal_mean2 lhpreal_mean3 lhpreal_mean4 lrgdbarromx ///
	if year<=2011 & war~=1, /// 
	msymbol(D Oh O Dh) msize(small small) scheme(s1mono) ///
	ytitle("Log (Real Mean House Price Index)") ///
	xtitle("Log (Real GDP p.c.)") legend(ring(0) position(4)) ///
	  name(HPGDP,replace) 
graph combine AvgRise1 HPGDP, xsize(8) scheme(s1mono)   
	graph export ../tablesfigures/Fig2.pdf, replace
	
drop lrgdbarromx lrgdpbarromz 	 
	
*___ Figure 3: Heterogeneity ___ 	
	
sort ccode year
label define ccode1 1 "AUS" 2 "BEL" 3 "CAN" 4 "CHE" 5 "DEU" 6 "DNK" 7 "FIN" 8 "FRA" 9 "GBR" ///
	10 "JPN" 11 "NLD" 12 "NOR" 13 "SWE" 14 "USA"
label values ccode ccode1 

capture cd ../data	
save WorkFile, replace
keep hpreal year ccode
reshape wide hpreal, i(year) j(ccode)	

capture cd ../programs

label var hpreal1 "Australia" 
label var hpreal2 "Belgium" 
label var hpreal3 "Canada" 
label var hpreal4 "Switzerland" 
label var hpreal5 "Germany" 
label var hpreal6 "Denmark" 
label var hpreal7 "Finland" 
label var hpreal8 "France" 
label var hpreal9 "U.K." 
label var hpreal10 "Japan" 
label var hpreal11 "Netherlands" 
label var hpreal12 "Norway" 
label var hpreal13 "Sweden" 
label var hpreal14 "U.S."

line hpreal1 hpreal2 hpreal3 hpreal6 hpreal7 hpreal8 hpreal5 hpreal10 year , ///
	xlabel(1870 1890 1910 1930 1950 1970 1990 2010) xtitle("") ///
	leg( position(6) size(small) cols(4)) yscale(range(0 300)) ylabel(0 100 200 300) ///
	scheme(s1mono) xsize(8) ysize(4) tline(1914 1915 1916 1917 1918 1919 ///
	1939 1940 1941 1942 1943 1944 1945, lc(gs15) lw(vthick)) ///
	lpattern(dash dash_dot dot shortdash shortdash_dot longdash longdash_dot solid) ///
	cmissing(n n n n n n ) lwidth(medthick medthick medthick medthick ///
	medthick medthick)   name(AvgRise2a,replace)
line  hpreal11 hpreal12 hpreal13 hpreal4 hpreal9 hpreal14 ///
	year if year>=1870, xlabel(1870 1890 1910 1930 1950 1970 1990 2010) ///
	xtitle("") leg( position(6) size(small) cols(3)) yscale(range(0 300)) ylabel(#4) ///
	scheme(s1mono) xsize(8) ysize(4) tline(1914 1915 1916 1917 1918 1919 1939 ///
	1940 1941 1942 1943 1944 1945, lc(gs15) lw(vthick)) ///
	lpattern(solid dash dot dash_dot shortdash shortdash_dot longdash ///
	longdash_dot ) cmissing(n n n n n n n n) lwidth(medthick medthick medthick ///
	medthick medthick medthick medthick medthick)   name(AvgRise2b,replace)
	
graph combine AvgRise2a AvgRise2b, ///
	scheme(s1color) cols(2) xsize(8)   
	graph export ../tablesfigures/Fig3.pdf, replace

clear
capture cd ../data
use WorkFile		
capture cd ../programs

*___ Figure 4: Quality adjustments ___

gen consqual=.
replace consqual=1 if iso=="FRA" | iso=="NLD" | iso=="NOR" | iso=="FRA" | iso=="JPN" | iso=="SWE"
replace consqual=0 if consqual~=1
sort era iso year
by era: tabstat dlhpreal if consqual==1, statistics(n mean sd)
by era: tabstat dlhpreal if consqual==., statistics(n mean sd)
sort year iso
by year: egen hpreal_meanconsqual1=mean(hpreal) if consqual==1
by year: egen hpreal_meannoconsqual1=mean(hpreal) if consqual==0
label var hpreal_meanconsqual1 "Mean of Quality Adjusted Indices"
label var hpreal_meannoconsqual1 "Mean of Other Indices"
replace consqual=2 if iso=="CHE" | iso=="DEU" 
sort year iso
by year: egen hpreal_meanconsqual2=mean(hpreal) if consqual~=0
label var hpreal_meanconsqual2 "Mean of Quality Adjusted Indices"


scatter hpreal_meanconsqual1 hpreal_meannoconsqual1 year if year>=1870, ///
	xlabel(#14) name(c1,replace) xtitle("") ///
	scheme(s1mono)  msize(small small) tline(1914 1915 1916 1917 1918 ///
	1919 1939 1940 1941 1942 1943 1944 1945, lc(gs15 ) lw(vthick))   
scatter hpreal_meanconsqual2 hpreal_meannoconsqual1 year if year>=1945,  ///
	scheme(s1mono) msize(small small) xtitle("") xlabel(#8) ///
	  name(c2,replace)
graph combine c1 c2, xsize(8) scheme(s1mono)   
	graph export ../tablesfigures/Fig4.pdf, replace

drop consqual hpreal_meanconsqual2 hpreal_meannoconsqual1	
	
*___ Figure 5: Composition effects ___

gen urban=.
replace urban=0 if hpreal~=.
replace urban=1 if iso=="AUS" & hpreal~=.
replace urban=1 if iso=="BEL" & year<=1950 & hpreal~=.
replace urban=1 if iso=="CAN" & year>=1975 & hpreal~=.
replace urban=1 if iso=="DEU" & year<=1938 & hpreal~=. | iso=="DEU" & year>=1970 ///
	& hpreal~=.
replace urban=1 if iso=="FIN" & year<=1969 & hpreal~=.
replace urban=1 if iso=="FRA" & year<=1935 & hpreal~=.
replace urban=1 if iso=="JPN" & year>=1913 & year<=1930 & hpreal~=. | iso=="JPN" ///
	 & year>=1936 & hpreal~=.
replace urban=1 if iso=="NLD" & year<=1969 & hpreal~=.
replace urban=1 if iso=="NOR" & hpreal~=.
replace urban=1 if iso=="SWE" & hpreal~=.
replace urban=1 if iso=="CHE" & year<=1929 & hpreal~=.
replace urban=1 if iso=="GBR" & year<=1929 & hpreal~=.
replace urban=1 if iso=="SWE" & hpreal~=.
replace urban=1 if iso=="USA" & year<=1952 & hpreal~=.

gen data=1 if hpreal~=.

sort year iso
by year: egen alldata=sum(data)
by year: egen allurban=sum(urban)
by year: gen pcturban=allurban/alldata
replace pcturban=pcturban*100
label var pcturban "Urban as % of Total"

gen flpreal=flpnom/cpi*100
label var flpreal "Real Farmland Price Index"
sort year iso
by year: egen flpreal_mean=mean(flpreal)
label var flpreal_mean "Mean Real Farmland Price Index"
by year: egen hpreal_mean_flp=mean(hpreal) if iso!="AUS" & iso!="FRA" & iso!="SWE"
label var hpreal_mean_flp "Mean Real House Price Index"

twoway bar pcturban year if iso=="AUS" & year>=1870, xlabel(#14) ///
	xtitle("") scheme(s1mono) yscale(range(20 100)) name(COMP,replace)   
scatter flpreal_mean hpreal_mean_flp ///
	year if year>=1870 & iso=="USA", msize(small small) ///
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, ///
	lc(gs15 ) lw(vthick)) xlabel(#14) scheme(s1mono) msize(small small) xtitle("") ///
	legend(ring(0) position(4))   name(URBRUR3,replace)
graph combine COMP URBRUR3, xsize(8) scheme(s1color)   
	graph export ../tablesfigures/Fig5.pdf, replace
	
drop data alldata allurban urban
	
*___ Figure 6: Urban and rural house prices since the 1970s, 5 countries ___

capture cd ../data
save WorkFile, replace
clear
use NPLH_RuralUrban
sort iso year
gen ident=1 
merge iso year using NPLH
drop _merge*
drop if ident!=1
capture cd ../programs

egen ccode=group(iso)
sort ccode year
xtset ccode year

label var urban "Urban"
label var rural "Rural"

sort iso year
	
line rural urban year if year>=1973 & iso=="DEU", msize(small small) msymbol(o o) ///
	xlabel(#4) xtitle("") scheme(s1mono) ///
	msymbol(O O) legend(off) title("Germany") name(urbrur1a,replace)   
line rural urban year if year>=1973 & iso=="FIN", msize(small small) msymbol(o o) ///
	xlabel(#4) xtitle("") scheme(s1mono) ///
	msymbol(O O) legend(off) title("Finland") name(urbrur1b,replace)   
line rural urban year if year>=1973 & iso=="GBR", msize(small small) ///
	xlabel(#4) xtitle("") scheme(s1mono) ///
	msymbol(O O) legend(off) title("U.K.") name(urbrur1c,replace)   
line rural urban year if year>=1973 & iso=="NOR", msize(small small) ///
	xlabel(#4) xtitle("") scheme(s1mono) ///
	msymbol(O O) legend(off) title("Norway") name(urbrur1d,replace)   
line rural urban year if year>=1973 & iso=="USA", msize(small small) ///
	xlabel(#4) xtitle("") scheme(s1mono) ///
	msymbol(O O) legend(size(small) cols(2)) title("U.S.") ///
	name(urbrur1e,replace)   

grc1leg urbrur1a urbrur1b urbrur1c urbrur1d urbrur1e, ///
	scheme(s1mono) row(2) legendfrom(urbrur1e) position(6)    
	graph export ../tablesfigures/Fig6.pdf, replace


clear
capture cd ../data
use WorkFile		
capture cd ../programs

	
*___ Figure 7: Decomposition - land prices and construction costs ___
sort year iso
set more off

gen ccreal=ccnom/cpi*100
label var ccreal "Real Construction Cost Index"
by year: egen ccreal_mean=mean(ccreal) if iso!="JPN" & iso!="FIN" & iso!="DEU"
label var ccreal_mean "Mean Real Construction Cost Index (11 Countries)"

scatter ccreal_mean hpreal_mean year if year>=1880 & iso=="USA", ///
	connect(i i )  msize(small small) legend(cols(1)) scheme(s1mono) ///
	xlabel(#14) xtitle("")  tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, lc(gs15) lw(vthick)) ///
	name(CCost1, replace)   

capture cd ../data
save Workfile, replace
clear 
use NPLH_Decomposition
capture cd ../programs
	
scatter realimplp_all realhp_all year if year>=1880 & year<=2012 & iso=="AUS", ///
	msize(small small)  xlabel(#13) xtitle("") scheme(s1mono) /// 
	tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, lc(gs15) lw(vthick)) ///
	legend(cols(1)) name(ImplLand,replace)   

graph combine CCost1 ImplLand, ///
	scheme(s1mono) cols(2) xsize(8)   
	graph export ../tablesfigures/Fig7.pdf, replace

*___ Figure 8: Imputed land prices - individual countries ___

scatter reallp realimplp year if iso=="AUS" & year>=1880 & year<=2005, ///
msize(small small) msymbol(o o) xlabel(#7) xtitle("") scheme(s1mono) ///
tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, lc(gs15) lw(vthick)) ///
msymbol(O O) title("Australia") name(impl1,replace)   

scatter reallp realimplp year if iso=="BEL" & year>=1953 & year<=2012, ///
msize(small small) msymbol(o o) xlabel(#7) xtitle("") scheme(s1mono) ///
msymbol(O O) title("Belgium") name(impl2,replace)   

scatter reallp realimplp year if iso=="CHE" & year>=1914 & year<=1975, ///
msize(small small) xlabel(#5) msymbol(o o) xtitle("") scheme(s1mono) ///
tline(1914 1915 1916 1917 1918 1919 1939 1940 1941 1942 1943 1944 1945, lc(gs15) lw(vthick)) ///
msymbol(O O) title("Switzerland") name(impl3,replace)   

scatter reallp realimplp year if iso=="GBR" & year>=1983 & year<=2010, ///
msize(small small) xlabel(#4) xtitle("") msymbol(o o) scheme(s1mono) ///
msymbol(O O) title("United Kingdom") name(impl4,replace)   

grc1leg impl1 impl2 impl3 impl4, ///
scheme(s1mono) legendfrom(impl4)   
graph export ../tablesfigures/Fig8.pdf, replace

capture cd ../data
clear 
use "Workfile"
capture cd ../programs


